Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.pojo.impl
Class PojoUtil

    java.lang.Object
      org.jboss.cache.pojo.impl.PojoUtil

    public class PojoUtil

extends Object

Utility class for method wrappers that we are interested to rollback (i.e., rollback).

Version:
  $Id: PojoUtil.java 6110 2008-06-27 22:06:51Z jason.greene@jboss.com $
Author:
  Ben Wang

Constructor Summary
`PojoUtil()`

Method Summary
`void` | `attachArray(Object array, CachedArray cached)`
`void` | `attachInterceptor(Object pojo, org.jboss.aop.InstanceAdvisor advisor, org.jboss.aop.advice.Interceptor interceptor)`
`int` | `decrementReferenceCount(Fqn<?> sourceFqn, int count, List<?> refList)`
`void` | `detachArray(Object array, CachedArray cached)`
`void` | `detachCollectionInterceptor(AbstractCollectionInterceptor interceptor)`
`void` | `detachInterceptor(org.jboss.aop.InstanceAdvisor advisor, org.jboss.aop.advice.Interceptor interceptor)`
`int` | `incrementReferenceCount(Fqn<?> sourceFqn, int count, List<?> refList)`
`void` | `inMemorySubstitution(Object obj, Field field, Object newValue)`
`void` | `undoAttachArray(Object array, CachedArray cached)`
`void` | `undoAttachInterceptor(Object pojo, org.jboss.aop.InstanceAdvisor advisor, org.jboss.aop.advice.Interceptor interceptor)`
`int` | `undoDecrementReferenceCount(Fqn sourceFqn, int count, List refList)`
`void` | `undoDetachArray(Object array, CachedArray cached)`
`void` | `undoDetachCollectionInterceptor(AbstractCollectionInterceptor interceptor)`
`void` | `undoDetachInterceptor(org.jboss.aop.InstanceAdvisor advisor, org.jboss.aop.advice.Interceptor interceptor)`
`int` | `undoIncrementReferenceCount(Fqn sourceFqn, int count, List refList)`
`void` | `undoInMemorySubstitution(Object obj, Field field, Object oldValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PojoUtil

    public PojoUtil()

Method Detail

### attachInterceptor

    public void attachInterceptor(Object pojo,
                                  org.jboss.aop.InstanceAdvisor advisor,
                                  org.jboss.aop.advice.Interceptor interceptor)

### detachInterceptor

    public void detachInterceptor(org.jboss.aop.InstanceAdvisor advisor,
                                  org.jboss.aop.advice.Interceptor interceptor)

### detachCollectionInterceptor

    public void detachCollectionInterceptor(AbstractCollectionInterceptor interceptor)

### attachArray

    public void attachArray(Object array,
                            CachedArray cached)

### detachArray

    public void detachArray(Object array,
                            CachedArray cached)

### undoAttachInterceptor

    public void undoAttachInterceptor(Object pojo,
                                      org.jboss.aop.InstanceAdvisor advisor,
                                      org.jboss.aop.advice.Interceptor interceptor)

### undoDetachInterceptor

    public void undoDetachInterceptor(org.jboss.aop.InstanceAdvisor advisor,
                                      org.jboss.aop.advice.Interceptor interceptor)

### undoDetachCollectionInterceptor

    public void undoDetachCollectionInterceptor(AbstractCollectionInterceptor interceptor)

### undoAttachArray

    public void undoAttachArray(Object array,
                                CachedArray cached)

### undoDetachArray

    public void undoDetachArray(Object array,
                                CachedArray cached)

### inMemorySubstitution

    public void inMemorySubstitution(Object obj,
                                     Field field,
                                     Object newValue)

### undoInMemorySubstitution

    public void undoInMemorySubstitution(Object obj,
                                         Field field,
                                         Object oldValue)

### incrementReferenceCount

    public int incrementReferenceCount(Fqn<?> sourceFqn,
                                       int count,
                                       List<?> refList)

### undoIncrementReferenceCount

    public int undoIncrementReferenceCount(Fqn sourceFqn,
                                           int count,
                                           List refList)

### decrementReferenceCount

    public int decrementReferenceCount(Fqn<?> sourceFqn,
                                       int count,
                                       List<?> refList)

### undoDecrementReferenceCount

    public int undoDecrementReferenceCount(Fqn sourceFqn,
                                           int count,
                                           List refList)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 JBoss, a division of Red Hat. All Rights Reserved.